Bug 255965 - audio/rubberband: Update to 1.9.1
Summary: audio/rubberband: Update to 1.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL: https://hg.sr.ht/~breakfastquay/rubbe...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-18 06:00 UTC by Daniel Engberg
Modified: 2021-06-06 13:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
Patch for rubberband (1.80 KB, patch)
2021-05-18 06:00 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-05-18 06:00:02 UTC
Created attachment 225055 [details]
Patch for rubberband

Update (lib)rubberband to 1.9.1

Compile tested on 13.0-STABLE #0 stable/13-n245227-5ec4eb443e8 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Daniel Engberg 2021-05-28 23:12:49 UTC
Friendly ping
Comment 2 commit-hook freebsd_committer 2021-06-06 13:08:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=40bc82d33e2bd7478a128bdb0696f8a7757115ee

commit 40bc82d33e2bd7478a128bdb0696f8a7757115ee
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-06-06 12:58:52 +0000
Commit:     Joseph Mingrone <jrm@FreeBSD.org>
CommitDate: 2021-06-06 13:07:54 +0000

    audio/rubberband: Update to 1.9.1

    Changes in Rubber Band v1.9.1

     * Switch build system from Makefiles and Visual Studio project to
       Meson/Ninja for all platforms. There are still Makefiles and VS
       projects included in otherbuilds/ for those who wish to use them to
       build the static library directly

     * Make various fixes to improve sound quality when pitch-shifting
       dynamically in real-time (requires libsamplerate)

     * Fix floating-point exception when a very very long stretch factor
       is presented

     * Move the two directories that together provide the .NET interface
       (rubberband-sharp and rubberband-dll) into their own subdir (dotnet)

     * Ensure the library builds and runs correctly on ARM Mac (Apple
       Silicon, M1), and also on Windows using the Visual C++ Clang
       front-end

    The API is unchanged and the library is binary compatible with version
    1.7.

    PR:             255965
    Approved by:    acm (maintainer, timeout)

    Co-authored-by: Joseph Mingrone <jrm@FreeBSD.org>

 audio/rubberband/Makefile  | 14 ++++++++------
 audio/rubberband/distinfo  |  8 +++-----
 audio/rubberband/pkg-plist |  2 +-
 3 files changed, 12 insertions(+), 12 deletions(-)